# typedef RequestInit

#### package js.html

Available on HTML5

### Properties

###

`body:Null<EitherType<ArrayBuffer, EitherType<ArrayBufferView, EitherType<Blob, EitherType<FormData, EitherType<String, URLSearchParams>>>>>>`

###

`cache:Null<RequestCache>`

###

`credentials:Null<RequestCredentials>`

###

`headers:Null<EitherType<Headers, EitherType<Array<Array<String>>, Dynamic>>>`

###

`method:Null<String>`

###

`mode:Null<RequestMode>`

###

`redirect:Null<RequestRedirect>`

###

`referrer:Null<String>`

###

`referrerPolicy:Null<ReferrerPolicy>`